#
# spec file for package cln (Version 1.1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gmp gpp gppshare libgpp te_latex tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gmp gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         cln
Version:      1.1.2
Release:      48
Summary:      Class Library for Numbers (C++)
Copyright:    Bruno Haible
Group:        Applications/Scientific
Provides:     libcln pi
#Requires:
#Conflicts:
Autoreqprov: on
#Source0:   cln-1.1.tar.bz2
Source0:   cln-1.1.2.tar.bz2
Source1:   pi.tar.gz
#Patch:    cln-ia64.dif
#Patch1:   cln-namesp.dif
BuildRoot: %{_tmppath}/%{name}-root

%description
CLN features a rich set of number classes: Integer (unlimited
precision), rational, short float, single float, double float, long
float (unlimited precision), complex, modular integer, and
univariate polynomial.  It implements elementary, logical and
transcendental functions.  C++ as implementation language brings
efficiency, type safety and algebraic syntax.  Memory efficiency:
Small integers and short floats are immediate, not heap allocated.
Automatic, non-interruptive garbage collection.  Speed efficiency:
Assembly language kernel for some CPUs, Karatsuba and
Schoenhage-Strassen multiplication.  Interoperability: Garbage
collection with no burden on the main application, hooks for memory
allocation and exceptions.
The following C++ features are used: classes, member functions,
overloading of functions and operators, constructors and destructors,
inline, const, multiple inheritance, templates and namespaces.  The
following C++ features are not used: new, delete, virtual inheritance,
exceptions.

Authors:
--------
    Bruno Haible <haible@ilog.fr>

SuSE series: d

%prep
%setup -a 1
#%patch -p1
#%patch1
#%ifarch s390
#DIR=$(find . -name configure -printf "%h\n")
#%{?suse_update_config:%{suse_update_config -f $DIR }}
#%endif

%build
./configure --prefix=/usr \
  --infodir=/usr/share/info \
  --mandir=/usr/share/man
make
make check
g++ -O2 -I./include pi.cc -o pi -L./src/.libs/ -lcln

%install
# delete old $RPM_BUILD_ROOT:
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT
PDOCDIR=/usr/share/doc/packages/cln
mkdir -p $PDOCDIR
make install  MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT dvidir=$PDOCDIR htmldir=$PDOCDIR
install -m 644 README $RPM_BUILD_ROOT/$PDOCDIR
install -m 644 NEWS   $RPM_BUILD_ROOT/$PDOCDIR
install -m 755 pi     $RPM_BUILD_ROOT/usr/bin
#mv cln-root/usr/share/dvi/* PDOCDIR/
#$RPM_BUILD_ROOT/
#$RPM_BUILD_ROOT/usr
#$RPM_BUILD_ROOT/usr/share
#$RPM_BUILD_ROOT/usr/share/man
#$RPM_BUILD_ROOT/usr/share/man/man1
#$RPM_BUILD_ROOT/usr/share/info
#$RPM_BUILD_ROOT/usr/share/doc
#$RPM_BUILD_ROOT/usr/share/doc/packages
#$RPM_BUILD_ROOT/usr/share/doc/packages/cln
#$RPM_BUILD_ROOT/usr/share/html
#$RPM_BUILD_ROOT/usr/share/dvi
#$RPM_BUILD_ROOT/usr/share/aclocal
#$RPM_BUILD_ROOT/usr/bin
#$RPM_BUILD_ROOT/usr/lib
#$RPM_BUILD_ROOT/usr/include
#$RPM_BUILD_ROOT/usr/include/cln
#ls -lR  $RPM_BUILD_ROOT

%files
/usr/bin/pi
/usr/bin/cln-config
/usr/include/cln/*
/usr/lib/libcln.*
/usr/share/aclocal/cln.m4
%docdir /usr/share/man/man1
%docdir /usr/share/doc/packages/cln
%doc    /usr/share/doc/packages/cln/*
%doc    /usr/share/man/man1/cln-config.1.gz
#%changelog

%changelog -n cln
* Thu Aug 30 2001 - jj@suse.de
- upgraded to 1.1.2 that should fix all problems
- disabled patches cln-ia64.dif and cln-namesp.dif
* Mon Jul 16 2001 - schwab@suse.de
- Fix namespace bug.
* Wed Apr 04 2001 - jj@suse.de
- fixed permissions for /usr/bin/pi
* Wed Mar 07 2001 - jj@suse.de
- entered patch for ia64
- added example program /usr/bin/pi  ;-)
* Mon Feb 19 2001 - jj@suse.de
- initial version
